package domain


type AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult struct {
    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误内容     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        数据集合     */
    Models  *[]AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo `json:"models,omitempty" `

    /*
        总页数     */
    PageCount  *int64 `json:"page_count,omitempty" `

    /*
        当前页下标     */
    PageIndex  *int64 `json:"page_index,omitempty" `

    /*
        每页条数     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        游标     */
    ScrollId  *string `json:"scroll_id,omitempty" `

    /*
        调用是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        总条数     */
    Total  *int64 `json:"total,omitempty" `

}

func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetErrCode(v string) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetErrMsg(v string) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetModels(v []AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.Models = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetPageCount(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.PageCount = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetPageIndex(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.PageIndex = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetPageSize(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.PageSize = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetScrollId(v string) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.ScrollId = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetSuccess(v bool) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult) SetTotal(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryApiScrollPageResult {
    s.Total = &v
    return s
}
